
/**** Fichier principal pour le client du pont virtuel ****/

/** Fichiers d'inclusion **/

#include <stdio.h>
#include <stdlib.h>

#include <sys/types.h>
#include <sys/socket.h>
#include "client.h"
#include "libnet.h"


/** Quelques constantes **/

/** Variables globales */

/** Fonctions **/

/* Fonction principale */
int main(int argc,char *argv[]){
// Analyse des arguments
if(argc!=3){
  fprintf(stderr,"Syntaxe : client <serveur> <port>\n");
  exit(-1);
  }
char *serveur=argv[1];
char *service=argv[2];
#ifdef DEBUG
fprintf(stdout,"Pont sur %s port %s\n",serveur,service);
#endif

// Connexion au serveur
int s=connexionServeur(serveur, service);
if(s<0){ fprintf(stderr,"Erreur de connexion au serveur\n"); exit(EXIT_FAILURE); }    

// Ouverture de l'interface reseau
creationInterfaceVirtuelle("CLIENT2");

// Communication avec le serveur
boucle(s);

return 0;
}
